
HCT164_clock equ P1.1
HCT164_data  equ P1.0
count equ  20h          ;memory holds the row count 

 
        org 0
		mov p2, #0ffh
		mov tmod, #12h
		mov th0, #0           ;set to maximun period = 256uS =about 4kHz
		setb tr0


new_cycle:
         mov count,#8   ;8 rows 
		 setb HCT164_data     ;send a single high
		                      ; to the HCT164 data pin,  1 out of 8
		  

wait:	jnb tf0,wait  ;wait for timer to expire
		clr tf0
		setb HCT164_clock
		clr HCT164_data;
		cpl HCT164_clock
	    djnz count,wait   
		
        jmp new_cycle



		end