
HCT164_clock equ P1.1
HCT164_data  equ P1.0
patternPort  equ P2
count equ  20h          ;memory holds the row count 




   org 0

		mov tmod, #12h
		mov th0, #0           ;set to maximun period = 256uS =about 4kHz
		setb tr0
		clr HCT164_clock


new_cycle:
         mov count,#8   ;8 rows 
		 mov dptr,#patternplus ;point to the pattern for a "+"
		 setb HCT164_data     ;send a single high
                              ; to the HCT164 data pin,  1 out of 8



	
wait:	jnb tf0,wait  ;wait for timer to expire
		clr tf0

		setb HCT164_clock   ;clock the shift register
		clr HCT164_clock
		clr HCT164_data;    ;set low for next 7 counts
		
		clr a                ;fetch the new row
	    movc a,@a+dptr
		cpl a
		mov  patternPort,a  ;store the pattern		
		inc dptr   ;ready for next row

	    djnz count,wait
		
        jmp new_cycle
		
		
		
;define patterns to show
patternplus:
db 0x18, 0x18, 0x18, 0xff, 0xff, 0x18, 0x18, 0x18



		end